# Update a representative

`PATCH /accounts/{accountID}/representatives/{representativeID}`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

If a representative's information has changed you can patch the information associated with a specific representative ID.
Read our [business representatives guide](https://docs.moov.io/guides/accounts/requirements/business-representatives/) to learn more.

When **can** profile data be updated:

- For unverified representatives, all profile data can be edited.
- During the verification process, missing or incomplete profile data can be edited.
- Verified representatives can only add missing profile data.

When **can't** profile data be updated:

- Verified representatives cannot change any existing profile data.

If you need to update information in a locked state, please contact Moov support.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/representatives.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `accountID` | path | string | Yes | ID of the account. |
| `representativeID` | path | string | Yes | ID of the representative. |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | object |  |  |
| `name.firstName` | string |  | The individual's first given name. |
| `name.middleName` | string |  | The individual's second given name, if any. |
| `name.lastName` | string |  | The individual's family name. |
| `name.suffix` | string |  | Suffix of a given name. |
| `phone` | object, nullable |  |  |
| `phone.number` | string |  |  |
| `phone.countryCode` | string |  |  |
| `email` | string (email), nullable |  |  |
| `address` | object, nullable |  |  |
| `address.addressLine1` | string |  |  |
| `address.addressLine2` | string |  |  |
| `address.city` | string |  |  |
| `address.stateOrProvince` | string |  |  |
| `address.postalCode` | string |  |  |
| `address.country` | string |  |  |
| `birthDate` | object, nullable |  |  |
| `birthDate.day` | integer |  |  |
| `birthDate.month` | integer |  |  |
| `birthDate.year` | integer |  |  |
| `governmentID` | object, nullable |  |  |
| `governmentID.ssn` | object |  |  |
| `governmentID.ssn.full` | string |  |  |
| `governmentID.ssn.lastFour` | string |  |  |
| `governmentID.itin` | object |  |  |
| `governmentID.itin.full` | string |  |  |
| `governmentID.itin.lastFour` | string |  |  |
| `responsibilities` | object, nullable |  | Describes the job responsibilities of a business representative. |
| `responsibilities.isController` | boolean |  | Indicates whether this individual has significant management responsibilities within the business. |
| `responsibilities.isOwner` | boolean |  | If `true`, this field indicates that the individual has a business ownership stake of at least 25% in the business. If the representative does not own at least 25% of the business, this field should be `false`. |
| `responsibilities.ownershipPercentage` | integer |  | The percentage of ownership this individual has in the business (required if `isOwner` is `true`). |
| `responsibilities.jobTitle` | string |  |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `representativeID` | string | Yes | Unique identifier for this representative. |
| `name` | object | Yes |  |
| `name.firstName` | string | Yes | The individual's first given name. |
| `name.middleName` | string |  | The individual's second given name, if any. |
| `name.lastName` | string | Yes | The individual's family name. |
| `name.suffix` | string |  | Suffix of a given name. |
| `phone` | object |  |  |
| `phone.number` | string |  |  |
| `phone.countryCode` | string |  |  |
| `email` | string (email) |  |  |
| `address` | object |  |  |
| `address.addressLine1` | string | Yes |  |
| `address.addressLine2` | string |  |  |
| `address.city` | string | Yes |  |
| `address.stateOrProvince` | string | Yes |  |
| `address.postalCode` | string | Yes |  |
| `address.country` | string | Yes |  |
| `birthDateProvided` | boolean |  | Indicates whether this representative's birth date has been provided. |
| `governmentIDProvided` | boolean |  | Indicates whether a government ID (SSN, ITIN, etc.) has been provided for this representative. |
| `responsibilities` | object |  | Describes the job responsibilities of a business representative. |
| `responsibilities.isController` | boolean |  | Indicates whether this individual has significant management responsibilities within the business. |
| `responsibilities.isOwner` | boolean |  | If `true`, this field indicates that the individual has a business ownership stake of at least 25% in the business. If the representative does not own at least 25% of the business, this field should be `false`. |
| `responsibilities.ownershipPercentage` | integer |  | The percentage of ownership this individual has in the business (required if `isOwner` is `true`). |
| `responsibilities.jobTitle` | string |  |  |
| `createdOn` | string (date-time) | Yes |  |
| `updatedOn` | string (date-time) | Yes |  |
| `disabledOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X PATCH "https://api.moov.io/accounts/{accountID}/representatives/{representativeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.update({
    accountID: "76647e2b-97ea-4551-8275-7153219f3317",
    representativeID: "e89d3d0d-fbe3-4df6-8b18-d7cbcb761161",
    updateRepresentative: {
      name: {
        firstName: "Jordan",
        middleName: "Reese",
        lastName: "Lee",
        suffix: "Jr",
      },
      phone: {
        number: "8185551212",
        countryCode: "1",
      },
      email: "jordan.lee@classbooker.dev",
      address: {
        addressLine1: "123 Main Street",
        addressLine2: "Apt 302",
        city: "Boulder",
        stateOrProvince: "CO",
        postalCode: "80301",
        country: "US",
      },
      birthDate: null,
      responsibilities: {
        ownershipPercentage: 38,
        jobTitle: "CEO",
      },
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/moov-accounts/representatives/update/
